function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, JoinColumn, Column, OneToOne } from "typeorm";
import { User } from "./user.js";
import { id } from "../id.js";
export let UserPublickey = class UserPublickey {
    userId;
    user;
    keyId;
    keyPem;
    constructor(data){
        if (data == null) return;
        for (const [k, v] of Object.entries(data)){
            this[k] = v;
        }
    }
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", Object)
], UserPublickey.prototype, "userId", void 0);
_ts_decorate([
    OneToOne((type)=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], UserPublickey.prototype, "user", void 0);
_ts_decorate([
    Index({
        unique: true
    }),
    Column("varchar", {
        length: 512
    }),
    _ts_metadata("design:type", String)
], UserPublickey.prototype, "keyId", void 0);
_ts_decorate([
    Column("varchar", {
        length: 4096
    }),
    _ts_metadata("design:type", String)
], UserPublickey.prototype, "keyPem", void 0);
UserPublickey = _ts_decorate([
    Entity(),
    _ts_metadata("design:type", Function),
    _ts_metadata("design:paramtypes", [
        typeof Partial === "undefined" ? Object : Partial
    ])
], UserPublickey);
